Skip to main content
GET
/
v1
/
calls
/
cursor
List calls (cursor pagination)
curl --request GET \
  --url https://api-tokyo.oneinbox.ai/v1/calls/cursor \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/calls/cursor"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/calls/cursor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/calls/cursor"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "items": [
    {
      "id": "<string>",
      "agent_id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "from_number": "<string>",
      "to_number": "<string>",
      "room_name": "<string>",
      "direction": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "variables": {},
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "duration_seconds": 123,
      "end_reason": "<string>",
      "transcript": "<string>",
      "messages": [
        "<unknown>"
      ],
      "recording_url": "<string>",
      "analysis": {},
      "latency": {},
      "cost_cents": 123,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "twilio_call_sid": "<string>",
      "outcome": "<string>",
      "ai_summary": "<string>",
      "credits_used": 123,
      "kb_snapshot": {}
    }
  ],
  "next_cursor": "<string>",
  "has_more": true,
  "limit": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Query Parameters

agent_id
string<uuid> | null
status
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
cursor
string | null

Opaque next_cursor from a prior page

Response

Successful Response

items
CallResponse · object[]
required
next_cursor
string | null
required
has_more
boolean
required
limit
integer
required